<?php
session_start();
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST');
header("Access-Control-Allow-Headers: X-Requested-With");
header('Content-Type: application/json; charset=utf-8');

if (isset($_POST['user_id']) && isset($_POST['auth'])) {
    include 'config.php';

    $user_id = $_POST['user_id'];
   // $student_id = $_POST['student_id'];
    $auth = $_POST['auth'];

    $user_id = stripslashes($user_id);
    $user_id = mysqli_escape_string($con, $user_id);

   // $student_id = stripslashes($student_id);
   // $student_id = mysqli_escape_string($con, $student_id);

    $auth = stripslashes($auth);
    $auth = mysqli_escape_string($con, $auth);

    $sql = $con->query("SELECT * FROM applications WHERE user_id = '$user_id' ORDER BY id DESC") 
        or die("Error: " . mysqli_error($con));

    if ($sql->num_rows > 0) {
         $data = [];
        $payment = [];
        $all = [];

        while ($rows = mysqli_fetch_assoc($sql)) {
            
            
       // $status = $rows['status'];
        $application_fee = $rows['application_fee'];
        $admission_fee = $rows['admission_fee'];
        $visa_fee = $rows['visa_fee'];
        
        
        if ($application_fee !== "Paid")
        {
           $sql2="SELECT * FROM fees where fee_type = 'Application'";
           $resulta = mysqli_query($con,$sql2) or die(mysqli_error($con));
           $rowa = mysqli_fetch_array($resulta);
           $amount = $rowa['amount'];
           $fee_type = $rowa['fee_type'];
           $payment_status = 'Due';
           $payment_type = $fee_type;
    
        }
        
        else if ($status == "Admitted" && $admission_fee !== "Paid")
        {
           $sqla="SELECT * FROM fees where fee_type = 'Admission'";
           $resulta = mysqli_query($con,$sqla) or die(mysqli_error($con));
           $rowa = mysqli_fetch_array($resulta);
           $amount = $rowa['amount'];
           $fee_type = $rowa['fee_type'];
           $payment_status = 'Due';
           $payment_type = $fee_type;
    
        }

        else if ($status == "Admitted" && $admission_fee == "Paid" && $visa_fee !== "Paid")
        {
           $sqla="SELECT * FROM fees where fee_type = 'Visa'";
           $resulta = mysqli_query($con,$sqla) or die(mysqli_error($con));
           $rowa = mysqli_fetch_array($resulta);
           $amount = $rowa['amount'];
           $fee_type = $rowa['fee_type'];
           $payment_status = 'Due';
           $payment_type = $fee_type;
            }
        else
        {
           $payment_status = '';
           $payment_type = '';
 
        }
        
                   $rows [] = ['payment_status' => $payment_status, 'payment_type' => $payment_type,   'amount' =>  $amount];

                    $data[] = $rows;

           // $payment [] = ['payment_status' => $payment_status, 'payment_type' => $payment_type,   'amount' =>  $amount];
        //    $all [] = $data;
          //  $all [] = $payment;
        }

        $suc = "Success";
        $status = true;
    } else {
        $data = [];
        $suc = "No record found";
        $status = false;
    }

    $con->close();

    $output = array('success' => $suc, 'status' => $status, 'data' => $data);
    echo json_encode($output); // Output JSON data
} else {
    echo json_encode(array('success' => "Failure", 'status' => false, 'message' => "Missing required fields"));
}
?>
